import type { LanguageRegistration } from '@shikijs/types';
import type { TextStyle } from 'react-native';
export declare function ensureHighlighter(): Promise<import("@shikijs/types").HighlighterCore>;
export declare function registerLanguage(name: string, grammar: Partial<LanguageRegistration>): void;
export declare function isLanguageRegistered(name: string): boolean;
export interface HighlighterToken {
    content: string;
    color?: string;
    fontStyle?: number;
    offset: number;
    id?: string;
}
export declare function getStyleForToken(token: HighlighterToken): TextStyle;
//# sourceMappingURL=index.d.ts.map